package com.goafanti.common.enums;

public enum AchievementCategory {
	Patent(0,"专利"),
SoftwareCopyright(1,"软件著作权"),
Project(2,"项目"),
Copyright(3,"版权"),
IndustryDesign(4,"工业设计"),
Formula(5,"配方"),
Nonstandard(6,"非标"),
Unknow(-1,"未知类型")
;
	int i;
	String name;
	
	AchievementCategory(int i, String name) {
		this.i = i;
		this.name = name;
	}

	public int getI() {
		return i;
	}

	public void setI(int i) {
		this.i = i;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	public static AchievementCategory find(int i)
	{
		for(AchievementCategory achievementCategory:values())
		{
			if(achievementCategory.getI()==i)return achievementCategory;
		}
		return Unknow;
	}

}
